str = input()
n = int(input())
rez = []
for i in range(0,n,1):
    first,last = map(int,input().split())
    str1 = str[first:last]
    str1 = str1.replace('a','1')
    str1 = str1.replace('b','2')
    str1 = str1.replace('c','3')
    str1 = str1.replace('32','3 2')
    str1 = str1.replace('31','3 1')
    str1 = str1.replace('21','2 1')
    rez.append(len(str1.split()))
for i in range(0,len(rez),1):
    print(rez[i])